2015-11-07  Kelvin White  <kwhite@gnu.org>

	* erc-pcomplete.el (pcomplete-erc-nicks): Fix bug for tab complete
	(bug#18771)

2015-03-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc.el (erc-switch-to-buffer): Fix last change (bug#20187).

2015-03-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc.el (erc-switch-to-buffer): Rename from erc-iswitchb and rewrite
	using read-buffer (bug#20116).
	(erc--buffer-p): New function, extracted from erc-buffer-filter.
	(erc-buffer-filter): Use it.
	(erc-with-all-buffers-of-server): Silence compile warning if the return
	value is unused.
	(erc-is-valid-nick-p, erc-common-server-suffixes, erc-get-arglist)
	(erc-command-name, erc-popup-input-buffer): Use \` and \' to match
	beg/end of string.

2015-03-03  Kelvin White  <kwhite@gnu.org>

	* erc.el: Add old version string back to file header for
	package.el compatibility

2015-03-03  Glenn Morris  <rgm@gnu.org>

	* erc.el (erc-rename-buffers): Doc fix.  Add :version.

2015-03-03  Dima Kogan  <dima@secretsauce.net>

	* erc-backend.el (define-erc-response-handler): Give hook-name
	default value of nil and add-to-list (bug#19363).
2015-02-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc-spelling.el (erc-spelling-init):
	Use flyspell-generic-check-word-predicate.

2015-01-28  Dima Kogan  <dima@secretsauce.net>

	* erc-backend.el (define-erc-response-handler): Give hook-name
	default value of nil and add-to-list (bug#19363).

2015-01-22  Paul Eggert  <eggert@cs.ucla.edu>

	Don't downcase system diagnostics' first letters
	* erc-dcc.el (erc-dcc-server): Ignore case while comparing diagnostics.

2014-11-23  Michael Albinus  <michael.albinus@gmx.de>

	* erc-desktop-notifications.el (erc-notifications-bus):
	New customer option.  Supports cases when Emacs hasn't been
	invoked in the same environment where the notifications shall go to.
	(erc-notifications-notify): Use it.

2014-11-10  Kelvin White  <kwhite@gnu.org>

	* erc-stamp.el (erc-timestamp-intangible): Change version tag to 24.5.

2014-11-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc.el (erc-send-input): Bind `str' dynamically (bug#18936).

2014-10-29  Paul Eggert  <eggert@cs.ucla.edu>

	Simplify use of current-time and friends.
	* erc-backend.el (TOPIC): Omit unnecessary call to current-time.
	* erc.el (erc-emacs-time-to-erc-time): Simplify by using float-time.
	(erc-current-time): Simplify by using erc-emacs-time-to-erc-time.

2014-10-20  Glenn Morris  <rgm@gnu.org>

	* Merge in all changes up to 24.4 release.

2014-10-15  Ivan Shmakov  <ivan@siamics.net>

	* erc-track.el (erc-modified-channels-display): Update mode line
	more frequently (bug#18510).

2014-10-10  Kelvin White  <kwhite@gnu.org>

	* erc.el (erc-initialize-log-marker): Only initialize
	  erc-last-saved-position if not already a marker.

2014-10-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc.el (erc-channel-receive-names): Silence compiler warning.
	(erc-format-@nick, erc-update-modes): Idem.

2014-10-03  Kelvin White  <kwhite@gnu.org>

	* erc.el (erc-rename-buffers): Use defcustom instead of defvar for
	buffer renaming configuration option.

2014-10-02  Paul Eggert  <eggert@cs.ucla.edu>

	* erc.el (erc-nick-at-point): Fix format-string typo (Bug#17755).

2014-10-02  Kelvin White  <kwhite@gnu.org>

	* erc.el (erc-rename-buffer-p): When set to t buffers will be
	renamed to the current irc network.
	(erc-format-target-and/or-network): Use `erc-rename-buffer-p' when
	renaming buffers.

	* erc-ring.el (erc-input-ring-setup): Fixes Bug #18599

2014-09-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc-track.el (erc-modified-channels-display): Update all mode lines
	if needed (bug#18510).  Remove call to erc-modified-channels-object
	where we ignored the return value.
	(erc-modified-channels-update): Don't force-mode-line-update here
	any more.

2014-09-26  Kelvin White  <kwhite@gnu.org>

	* erc.el (erc-format-nick): Fix code regression - Bug #18551

2014-09-25  Kelvin White  <kwhite@gnu.org>

	* erc.el: Follow Emacs version instead of tracking it separately.
	(erc-quit/part-reason-default) : Clean up quit/part message
	functions by abstracting repetitive code, change version string.
	(erc-quit-reason-various, erc-quit-reason-normal, erc-quit-reason-zippy)
	(erc-part-reason-normal, erc-part-reason-zippy, erc-part-reason-various)
	(erc-cmd-SV, erc-ctcp-query-VERSION, erc-version, erc-version-string):
	Change version string.

2014-08-13  Kelvin White  <kwhite@gnu.org>

	* erc.el (erc-send-input): Disable display commands in current buffer
	(erc-format-target-and/or-network): Fix cases when buffer name is set

2014-08-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc-stamp.el (erc-timestamp-intangible): Disable by default because
	`intangible' is evil.

2014-08-07  Kelvin White  <kwhite@gnu.org>

	* erc.el (erc-channel-receive-names): Fix variable names
	(erc-format-target-and/or-network): Rename server-buffers to
	network name if possible

2014-07-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc.el (erc-channel-receive-names): Reduce redundancy.

2014-06-19  Kelvin White  <kwhite@gnu.org>

	* erc-backend.el: Handle user modes in relevant server responses
	* erc.el: Better user mode support.
	(erc-channel-user): Add members for new modes.
	(erc-channel-member-halfop-p, erc-channel-user-admin-p)
	(erc-channel-user-owner-p): Use new struct members.
	(erc-format-nick, erc-format-@nick): Display user modes as nick prefix.
	(erc-nick-prefix-face, erc-my-nick-prefix-face): Add new faces
	(erc-get-user-mode-prefix): Return symbol for mode prefix.
	(erc-update-channel-member, erc-update-current-channel-member)
	(erc-channel-receive-names): Update channel users.
	(erc-nick-at-point): Return correct user info.

2014-04-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc.el (erc-invite-only-mode, erc-toggle-channel-mode): Simplify.
	(erc-load-script): Tighten a regexp.

2014-02-25  Julien Danjou  <julien@danjou.info>

	* erc-networks.el (erc-determine-network): Check that NETWORK as a
	value, some servers set it to nothing.

2014-01-31  Glenn Morris  <rgm@gnu.org>

	* erc.el (erc-accidental-paste-threshold-seconds): Doc tweak.

2014-01-25  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* erc.el (erc): Link to info manual.

2013-12-28  Glenn Morris  <rgm@gnu.org>

	* erc-log.el (erc-log-file-coding-system): Specify custom type.

2013-11-25  Glenn Morris  <rgm@gnu.org>

	* erc-button.el (erc-nick-popup): Make `nick' available in the
	eval environment.  (Bug#15969)

2013-11-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc-pcomplete.el (erc-pcomplete): Set this-command.

2013-09-21  Glenn Morris  <rgm@gnu.org>

	* erc.el (erc-invite-only-mode, erc-toggle-channel-mode):
	Remove unused local variable `erc-force-send'.

2013-09-19  Glenn Morris  <rgm@gnu.org>

	* erc-button.el (erc-button-click-button, erc-button-press-button):
	* erc-list.el (erc-list-handle-322):
	Mark unused arguments.

	* erc.el (erc-open-server-buffer-p): Actually use the `buffer' arg.
	* erc-backend.el (erc-server-process-alive): Take optional `buffer' arg.

2013-09-18  Glenn Morris  <rgm@gnu.org>

	* erc-button.el (erc-button-add-buttons): Remove unused local vars.

2013-09-14  Vivek Dasmohapatra  <vivek@etla.org>

	* erc.el (erc-update-mode-line-buffer):
	Handle absent topic.  (Bug#15377)

2013-09-13  Glenn Morris  <rgm@gnu.org>

	* erc-desktop-notifications.el (dbus-debug): Declare.

2013-08-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc.el: Use lexical-binding.
	(erc-user-full-name): Minor CSE simplification.
	(erc-mode-map): Assume command-remapping is available.
	(erc-once-with-server-event): Replace `forms' arg with a function arg.
	(erc-once-with-server-event-global): Remove.
	(erc-ison-p): Adjust to change in erc-once-with-server-event.
	(erc-get-buffer-create): Remove arg `proc'.
	(iswitchb-make-buflist-hook): Declare.
	(erc-setup-buffer): Use pcase; avoid ((lambda ..) ..).
	(read-passwd): Assume it exists.
	(erc-display-line, erc-cmd-IDLE): Avoid add-to-list, adjust to change
	in erc-once-with-server-event.
	(erc-cmd-JOIN, erc-set-channel-limit, erc-set-channel-key)
	(erc-add-query): Minor CSE simplification.
	(erc-cmd-BANLIST, erc-cmd-MASSUNBAN): Adjust to change
	in erc-once-with-server-event.
	(erc-echo-notice-in-user-and-target-buffers): Avoid add-to-list.
	* erc-track.el: Use lexical-binding.
	(erc-make-mode-line-buffer-name): Use closures instead of `(lambda...).
	(erc-faces-in): Avoid add-to-list.
	* erc-notify.el: Use lexical-binding.
	(erc-notify-timer): Adjust to change in erc-once-with-server-event.
	(erc-notify-QUIT): Use a closure instead of `(lambda...).
	* erc-list.el: Use lexical-binding.
	(erc-list-install-322-handler, erc-cmd-LIST): Adjust to change in
	erc-once-with-server-event.
	* erc-button.el: Use lexical-binding.
	(erc-button-next-function): Use a closure instead of `(lambda...).

2013-05-30  Glenn Morris  <rgm@gnu.org>

	* erc-backend.el: Require erc at run-time too.

2013-05-21  Glenn Morris  <rgm@gnu.org>

	* erc-log.el (erc-network-name): Declare.

	* erc-notify.el (pcomplete--here): Declare.
	(pcomplete/erc-mode/NOTIFY): Require pcomplete.

	* erc.el (erc-quit-reason-various-alist)
	(erc-part-reason-various-alist): Don't mention zippy.
	(erc-quit-reason, erc-part-reason): Remove zippy options.
	(erc-quit-reason-zippy, erc-part-reason-zippy): Make obsolete.
	If yow is not defined, fall back to -normal versions.

2013-05-15  Glenn Morris  <rgm@gnu.org>

	* erc-list.el (erc-list):
	* erc-menu.el (erc-menu):
	* erc-ring.el (erc-ring): Define custom groups, for define-erc-module.

	* erc-list.el: Provide a feature.

2013-05-09  Glenn Morris  <rgm@gnu.org>

	* erc-desktop-notifications.el (erc-notifications-icon):
	Fix custom type.

2013-02-13  Aidan Gauland  <aidalgol@no8wireless.co.nz>

	* erc-match.el (erc-match-message): Fix last commit.

2013-02-12  Aidan Gauland  <aidalgol@no8wireless.co.nz>

	* erc-match.el (erc-match-message):
	Don't truncate action messages.  (Bug#13689)

2013-02-09  Eli Zaretskii  <eliz@gnu.org>

	* erc-dcc.el (erc-dcc-get-file): Don't reference buffer-file-type.

2013-01-11  Dmitry Antipov  <dmantipov@yandex.ru>

	* erc-dcc.el (erc-dcc-send-file): Use point-min-marker.
	(erc-dcc-chat-setup): Use point-max-marker.

2013-01-04  Glenn Morris  <rgm@gnu.org>

	* erc-backend.el (312): Fix typo.  (Bug#13235)

2012-11-30  Glenn Morris  <rgm@gnu.org>

	* erc.el (erc-accidental-paste-threshold-seconds): Add :version.

2012-11-30  Eric Hanchrow  <eric.hanchrow@gmail.com>

	* erc.el (erc-last-input-time): New variable.
	(erc-accidental-paste-threshold-seconds): New option to avoid
	sending accidentally-pasted text to the server (Bug#11592).
	(erc-send-current-line): Use it.

2012-11-30  Chong Yidong  <cyd@gnu.org>

	* erc.el (erc-lurker-cleanup, erc-lurker-p): Use float-time.

2012-11-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc-backend.el: Fix last change that missed calls to `second'
	(bug#12970).

2012-11-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	Use cl-lib instead of cl, and interactive-p => called-interactively-p.
	* erc-track.el, erc-networks.el, erc-netsplit.el, erc-dcc.el:
	* erc-backend.el: Use cl-lib, nth, pcase, and called-interactively-p
	instead of cl.
	* erc-speedbar.el, erc-services.el, erc-pcomplete.el, erc-notify.el:
	* erc-match.el, erc-log.el, erc-join.el, erc-ezbounce.el:
	* erc-capab.el: Don't require cl since we don't use it.
	* erc.el: Use cl-lib, nth, pcase, and called-interactively-p i.s.o cl.
	(erc-lurker-ignore-chars, erc-common-server-suffixes):
	Move before first use.

2012-11-16  Glenn Morris  <rgm@gnu.org>

	* erc.el (erc-modules): Add "notifications".  Tweak "hecomplete" doc.

2012-10-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc-backend.el: Only require `erc' during compilation (bug#12740).

2012-10-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc-backend.el: Require `erc' instead of autoloading its macros
	(bug#12669).

2012-10-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc.el (erc-log): Make it into a defsubst.
	(erc-with-server-buffer, define-erc-module, erc-with-buffer)
	(erc-with-all-buffers-of-server): Use `declare'.
	* erc-backend.el (erc-log): Adjust autoload accordingly.

2012-10-07  Deniz Dogan  <deniz@dogan.se>

	* erc-log.el (erc-generate-log-file-name-function):
	Clarify tags for various choices.  (Bug#11186)

2012-10-07  Glenn Morris  <rgm@gnu.org>

	* erc-button.el (erc-button-alist): Remove "finger".  (Bug#4443)

2012-10-07  Antoine Levitt  <antoine.levitt@gmail.com>

	* erc-stamp.el (erc-format-timestamp): Don't apply intangible
	property to invisible stamps.  (Bug#11706)

2012-10-07  Glenn Morris  <rgm@gnu.org>

	* erc-backend.el (NICK): Handle pre-existing buffers.  (Bug#12002)

2012-10-06  Glenn Morris  <rgm@gnu.org>

	* erc.el (erc-lurker):
	* erc-desktop-notifications.el (erc-notifications):
	Add missing group :version tags.

2012-10-04  Julien Danjou  <julien@danjou.info>

	* erc-desktop-notifications.el: Rename from erc-notifications.el to
	avoid clash with 8+3 filename format and erc-notify.el.

2012-09-25  Chong Yidong  <cyd@gnu.org>

	* erc.el (erc-send-command): Use define-obsolete-function-alias.

2012-09-17  Chong Yidong  <cyd@gnu.org>

	* erc-page.el (erc-page-function):
	* erc-stamp.el (erc-stamp): Doc fix.

2012-08-21  Josh Feinstein  <jlf@foxtail.org>

	* erc-join.el (erc-autojoin-timing): Fix defcustom type.

2012-08-21  Julien Danjou  <julien@danjou.info>

	* erc-match.el (erc-match-message):
	Use `erc-match-exclude-server-buffer' not
	`erc-track-exclude-server-buffer'.

2012-08-20  Josh Feinstein  <jlf@foxtail.org>

	* erc.el (erc-display-message): Abstract message hiding decision
	to new function erc-hide-current-message-p.
	(erc-lurker): New customization group.
	(erc-lurker-state, erc-lurker-trim-nicks, erc-lurker-ignore-chars)
	(erc-lurker-hide-list, erc-lurker-cleanup-interval)
	(erc-lurker-threshold-time): New variables.
	(erc-lurker-maybe-trim, erc-lurker-initialize, erc-lurker-cleanup)
	(erc-hide-current-message-p, erc-canonicalize-server-name)
	(erc-lurker-update-status, erc-lurker-p): New functions.
	Together they maintain state about which users have spoken in the last
	erc-lurker-threshold-time, with all other users being considered
	lurkers whose messages of types in erc-lurker-hide-list will not
	be displayed by erc-display-message.

2012-08-06  Julien Danjou  <julien@danjou.info>

	* erc-match.el (erc-match-exclude-server-buffer)
	(erc-match-message): Add new option to exclude server buffer from
	matching.

2012-07-21  Julien Danjou  <julien@danjou.info>

	* erc-notifications.el: New file.

2012-06-15  Julien Danjou  <julien@danjou.info>

	* erc.el (erc-open): Use `auth-source' for password retrieval when
	possible.

2012-06-12  Chong Yidong  <cyd@gnu.org>

	* erc-dcc.el (erc-dcc-chat-filter-functions): Rename from
	erc-dcc-chat-filter-hook, since this is an abnormal hook.

2012-06-08  Chong Yidong  <cyd@gnu.org>

	* erc.el (erc-direct-msg-face, erc-header-line, erc-input-face)
	(erc-command-indicator-face, erc-notice-face, erc-action-face)
	(erc-error-face, erc-my-nick-face, erc-nick-default-face)
	(erc-nick-msg-face): Use new-style face specs, and avoid :bold.

	* erc-button.el (erc-button):
	* erc-goodies.el (erc-bold-face, erc-inverse-face)
	(erc-underline-face, fg:erc-color-*):
	* erc-match.el (erc-current-nick-face, erc-dangerous-host-face)
	(erc-pal-face, erc-fool-face, erc-keyword-face):
	* erc-stamp.el (erc-timestamp-face): Likewise.

2012-06-02  Chong Yidong  <cyd@gnu.org>

	* erc-track.el (erc-track, erc-track-faces-priority-list)
	(erc-track-faces-normal-list, erc-track-find-face)
	(erc-track-modified-channels): Fix modeline -> mode line in docs.

2012-05-14  Mike Kazantsev  <mk.fraggod@gmail.com>  (tiny change)

	* erc-dcc.el (erc-dcc-handle-ctcp-send): Fix a regression
	introduced on 2011-11-28 when fixing quoted filenames matching,
	the regex group was not corrected.

2012-05-13  Teemu Likonen  <tlikonen@iki.fi>

	* erc-backend.el (erc-server-timestamp-format): New variable to
	allow specifying the timestamp format (bug#10779).

2012-04-11  Vivek Dasmohapatra  <vivek@etla.org>

	* erc-services.el (erc-nickserv-passwords): Don't display the
	password (bug#4459).

2012-04-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* erc-join.el (erc-server-join-channel): New function to look up
	the channel password via auth-source.
	(erc-autojoin-channels): Use it.
	(erc-autojoin-after-ident): Ditto.
	(erc-autojoin-channels-alist): Mention auth-source.

2012-04-10  Deniz Dogan  <deniz@dogan.se>

	* erc.el (erc-display-prompt): Adds the field text property to the
	ERC prompt.  This allows users to use `kill-whole-line' to kill
	all text back to the prompt given that it's on a single line
	(bug#10841).

2012-04-09  Chong Yidong  <cyd@gnu.org>

	* erc.el (erc-cmd-SET): Call custom-variable-p instead of
	user-variable-p.

2012-02-08  Glenn Morris  <rgm@gnu.org>

	* erc-backend.el (erc-coding-system-precedence):
	* erc-join.el (erc-autojoin-delay, erc-autojoin-timing):
	Add missing :version settings.

2012-01-06  Glenn Morris  <rgm@gnu.org>

	* erc.el (erc-tls): Add autoload cookie.  (Bug#10333)

2011-12-31  Antoine Levitt  <antoine.levitt@gmail.com>

	* erc-goodies.el (erc-scroll-to-bottom): Use post-command-hook
	rather than window-scroll-functions.  Fixes a bug with word-wrap on
	a tty.  (Bug#9246)

2011-11-28  Mike Kazantsev  <mk.fraggod@gmail.com>  (tiny change)

	* erc-dcc.el (erc-dcc-ctcp-query-send-regexp): Update regexp to
	match quoted filenames with spaces inside.
	(erc-dcc-handle-ctcp-send): Update regexp match group numbers,
	added processing of escaped quotes and backslashes if filename
	itself was in quotes.

2011-11-20  Juanma Barranquero  <lekktu@gmail.com>

	* erc-log.el (erc-logging-enabled): Fix typo.

2011-11-14  Juanma Barranquero  <lekktu@gmail.com>

	* erc-notify.el (erc-notify-interval, erc-cmd-NOTIFY): Fix typos.

2011-10-20  Chong Yidong  <cyd@gnu.org>

	* erc.el (define-erc-module): Fix autogenerated docstring to
	reflect Emacs 24 minor mode changes.

	* erc-fill.el (erc-fill-mode):
	* erc-track.el (erc-track-minor-mode): Doc fix.

2011-09-23  Antoine Levitt  <antoine.levitt@gmail.com>

	* erc-button.el (erc-button-next-function): Scoping fix
	(Bug#9487).

2011-07-04  Vivek Dasmohapatra  <vivek@etla.org>

	* erc.el (erc-generate-new-buffer-name): Reuse old buffer names
	when reconnecting (bug#5563).

2011-06-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* erc.el (erc-ssl): Made into a synonym for erc-tls, which
	provides a superset of the same functionality.
	(erc-open-ssl-stream): Remove.
	(erc-open-tls-stream): Use `open-network-stream' instead of
	`open-tls-stream' directly to be able to use the built-in TLS
	support.

2011-05-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc-pcomplete.el (erc-pcompletions-at-point): Mark the completion
	data as non-exclusive if it's using the default-completion-function.
	(pcomplete-erc-parse-arguments): Rename pcomplete-parse-erc-arguments.
	(pcomplete-erc-setup): Use new name.

2011-05-03  Debarshi Ray  <rishi@gnu.org>  (tiny change)

	* erc-backend.el (671): New response handler.
	* erc.el (english): Add 671 to catalog.

2011-04-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc-pcomplete.el (erc-pcomplete-nick-postfix): Remove the " " in the
	suffix that's added by pcomplete-termination-string anyway.
	(pcomplete-erc-setup): Remove pcomplete-suffix-list setting now that
	it's not needed any more.

2011-04-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc.el (erc-mode-map): Use completion-at-point.
	(erc-mode): Tell completion-at-point to obey erc-complete-functions.
	(erc-complete-word-at-point): New function.
	(erc-complete-word): Make it obsolete.
	* erc-pcomplete.el (erc-pcompletions-at-point): New function.
	(pcomplete): Use it.
	* erc-dcc.el (erc-dcc-chat-mode-map): Use completion-at-point.
	(erc-dcc-chat-mode): Tell completion-at-point to obey
	erc-complete-functions.
	* erc-button.el (erc-button-next-function): New function extracted from
	erc-button-next.
	(button, erc-button-next): Use it.

2011-04-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc-hecomplete.el: Move to ../obsolete.

2011-03-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.3 released.

2011-03-04  Julien Danjou  <julien@danjou.info>

	* erc-track.el (erc-track-visibility): Fix :type.  (Bug#6369)

2011-02-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc-list.el (erc-list-menu-mode-map): Move initialization
	into declaration.

2011-02-07  Julien Danjou  <julien@danjou.info>

	* erc-track.el (erc-window-configuration-change): New function.
	This will allow to track buffer visibility when a command is
	finished to executed.  Idea stolen from rcirc.
	(track): Put erc-window-configuration-change in
	window-configuration-change-hook.
	(erc-modified-channels-update): Remove
	erc-modified-channels-update from post-command-hook after update.

2011-02-01  Sam Steingold  <sds@gnu.org>

	* erc-list.el (erc-list-menu-mode): Inherit from `special-mode'.

2011-01-31  Antoine Levitt  <antoine.levitt@gmail.com>  (tiny change)

	* erc-track.el (track): Don't reset erc-modified-channels-object
	each time erc-track-mode is activated.

2011-01-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc.el (erc-mode):
	* erc-dcc.el (erc-dcc-chat-mode): Use define-derived-mode.

2010-11-11  Glenn Morris  <rgm@gnu.org>

	* erc-lang.el (erc-cmd-LANG): Fix what may have been a typo.

2010-11-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* erc-backend.el (erc-coding-system-precedence): New variable.
	(erc-decode-string-from-target): Use it.

2010-10-24  Julien Danjou  <julien@danjou.info>

	* erc-backend.el (erc-server-JOIN): Set the correct target list on join.

	* erc-backend.el (erc-process-sentinel): Check that buffer is alive
	before setting it as current buffer.

2010-10-14  Juanma Barranquero  <lekktu@gmail.com>

	* erc-xdcc.el (erc-xdcc-help-text): Fix typo in docstring.

2010-10-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* erc-list.el (erc-list-menu-mode-map): Declare and define in one step.

2010-08-14  Vivek Dasmohapatra  <vivek@etla.org>

	* erc-join.el (erc-autojoin-timing, erc-autojoin-delay): New vars.
	(erc-autojoin-channels-delayed, erc-autojoin-after-ident):
	New functions.
	(erc-autojoin-channels): Allow autojoining after ident (Bug#5521).

2010-08-08  Fran Litterio  <flitterio@gmail.com>

	* erc-backend.el (erc-server-filter-function):
	Call erc-log-irc-protocol.

	* erc.el (erc-toggle-debug-irc-protocol):
	Bind erc-toggle-debug-irc-protocol to t.

2010-05-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.2 released.

2010-03-10  Chong Yidong  <cyd@stupidchicken.com>

	* Branch for 23.2.

2010-02-07  Vivek Dasmohapatra  <vivek@etla.org>

	* erc-services.el (erc-nickserv-alist): Fix defcustom type (Bug#5520).

2010-01-25  Vivek Dasmohapatra  <vivek@etla.org>

	* erc-backend.el (erc-session-connector): New var.
	(erc-server-reconnect): Use it to reconnect via old
	connector (Bug#4958).

	* erc.el (erc-determine-parameters):
	Save erc-server-connect-function to erc-session-connector.

2009-11-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* erc.el (erc-display-line-1, erc-process-away):
	* erc-truncate.el (erc-truncate-buffer-to-size):
	Use with-current-buffer.

2009-10-24  Glenn Morris  <rgm@gnu.org>

	* erc-dcc.el (pcomplete-erc-all-nicks):
	* erc-notify.el (pcomplete-erc-all-nicks):
	Autoload it, to silence compiler.

	* erc-dcc.el (pcomplete/erc-mode/DCC): Replace cl-function
	remove-duplicates with erc-delete-dups.

2009-09-27  Johan Bockgård  <bojohan@gnu.org>

	* erc-button.el (erc-button-keymap): Bind `follow-link'.

2009-09-26  Johan Bockgård  <bojohan@gnu.org>

	* erc-button.el (erc-button-add-button): Only call
	`widget-convert-button' in XEmacs.  For Emacs (at least), it
	doesn't seem to have any purpose except creating lots of overlays,
	slowing everything down.

2009-09-19  Glenn Morris  <rgm@gnu.org>

	* erc-lang.el (line): Define for compiler.

2009-07-22  Kevin Ryde  <user42@zip.com.au>

	* erc.el (erc-cmd-MODE): Hyperlink urls in docstring with URL `...'.

2009-03-13  D. Goel  <deego3@gmail.com>

	* erc-backend.el: In (multiple-value-bind/setq .. ls),
	ls-> (values-list ls) throughout.
	* erc.el: Ditto.

2009-01-18  Michael Olson  <mwolson@gnu.org>

	* erc.el (erc-header-line-uses-tabbar-p): Set to nil by default.

2009-01-16  Glenn Morris  <rgm@gnu.org>

	* erc.el (erc-input-message): Conditionalize previous change for XEmacs.

	* erc-dcc.el (erc-dcc-server): Silence warning about obsolete function
	behind fboundp test.

2009-01-09  Glenn Morris  <rgm@gnu.org>

	* erc.el (erc-input-message): Replace last-command-char with
	last-command-event.

2009-01-08  Glenn Morris  <rgm@gnu.org>

	* erc.el (tabbar--local-hlf): Silence compiler.

2009-01-03  Michael Olson  <mwolson@gnu.org>

	* erc.el (erc-user-input): Do not include text properties when
	returning user input.

See ChangeLog.1 for earlier changes.

  Copyright (C) 2009-2026 Free Software Foundation, Inc.

  This file is part of GNU Emacs.

  GNU Emacs is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  GNU Emacs is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.

;; Local Variables:
;; coding: utf-8
;; add-log-time-zone-rule: t
;; End:
